<?php
if(isset($_GET['act']) && $_GET['act']=='mesto'){
	echo '<form method="post" action="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/?act=mesto&amp;ok">';
	echo 'Раздел:<br/><select name="razdel">';

if($user['level']>0){

$q = mysql_query("SELECT * FROM `forum_f` ORDER BY `pos` ASC");
while($forums = mysql_fetch_array($q)){
	echo '<optgroup label="'.$forums['name'].'">';

$q2 = mysql_query("SELECT * FROM `forum_r` WHERE `id_forum` = '$forums[id]' ORDER BY `time` DESC");
while($razdels = mysql_fetch_array($q2)){
	$check='';

if($razdel['id']==$razdels['id']){
	$check=' selected="selected"';
	}

echo '<option'.$check.' value="'.$razdels['id'].'">'.$razdels['name'].'</option>';
}

echo '</optgroup>';
}
}else{
$q2 = mysql_query("SELECT * FROM `forum_r` WHERE `id_forum` = '$forum[id]' ORDER BY `time` DESC");
while($razdels = mysql_fetch_array($q2)){
	$check='';

if($razdel['id']==$razdels['id']){
	$check=' selected="selected"';
	}

echo '<option'.$check.' value="'.$razdels['id'].'">'.$razdels['name'].'</option>';
}
}

echo '</select><br/>';
echo '<input value="Переместить" type="submit"/><br/>';
echo '&#187;&nbsp;<a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/">Отмена</a></form>';
}

if(isset($_GET['act']) && $_GET['act']=='set'){
	echo '<a href="/smiles/index.php">Смайлы</a><br/>';
	echo '<form method="post" action="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/?act=set&amp;ok">';
	echo 'Название темы:<br/><input name="name" type="text" maxlength="32" value="'.$them['name'].'"/><br/>';

if($user['set_translit']==1){
	echo '<label><input type="checkbox" name="translit1" value="1"/> Транслит</label><br/>';
	}

if($user['level']>0){

if($them['up']==1){
	$check=' checked="checked"';
	}else{
		$check=NULL;
		}

echo '<label><input type="checkbox"'.$check.' name="up" value="1"/> Всегда наверху</label><br/>';
}

if($them['close']==1){
	$check=' checked="checked"';
	}else{
		$check=NULL;
		}

echo '<label><input type="checkbox"'.$check.' name="close" value="1"/> Закрыть</label><br/>';

if($ank2['id']!=$user['id']){
	echo '<label><input type="checkbox" name="autor" value="1"/> Забрать у автора права</label><br/>';
	}

echo '<input value="Изменить" type="submit"/><br/>';
echo '&#187;&nbsp;<a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/">Отмена</a></form>';
}

if(isset($_GET['act']) && $_GET['act']=='del' && ($user['level']>$ank2['level'] || $user['level']==4)){
	echo '<div class="err">Подтвердите удаление темы<br/><a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/?act=delete&amp;ok">Да</a> | <a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/">Нет</a></div>';
	}

if(isset($_GET['act']) && $_GET['act']=='post_delete' && isset($access['for_p_ed'])){
	echo '<input value="Удалить выбранные посты" type="submit"/><br/>';
	echo '&#187;&nbsp;<a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/">Отмена</a></form>';
	}

if((!isset($_GET['act']) || $_GET['act']!='post_delete') && isset($access['for_p_ed'])){
	echo '<img src="http://vrozetke.ru/style/themes/green/graph/trash.png" alt="i" /><a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/?act=post_delete"> Удаление постов</a><br/>';
	}

echo '<img src="http://vrozetke.ru/style/themes/green/graph/action.png" alt="i" /><a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/?act=mesto"> Переместить тему</a><br/>';

if($user['level']>$ank2['level'] || $user['level']==4){
	echo '<img src="http://vrozetke.ru/style/themes/green/graph/trash.png" alt="i" /><a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/?act=del"> Удалить тему</a><br/>';
	}

echo '<img src="http://vrozetke.ru/style/themes/green/graph/settings.png" alt="i" /><a href="/forum/'.$forum['id'].'/'.$razdel['id'].'/'.$them['id'].'/?act=set"> Параметры темы</a><br/>';
?>